'use strict';
const BUILD_PATH = '/dist/';
const basePath = (document.getElementsByTagName('base')[0] || {href: ''}).href;
__webpack_public_path__ = window.__webpack_public_path__ = basePath.replace(/\/$/, '') + BUILD_PATH;

import '../../styles/twigkit.less';

import {RoutesModule} from './routes/routes.module.js';
import {SearchController} from './controllers/search.controller';
import {LoginController} from "./controllers/login.controller";
import {ServicesModule} from "./services/services.module";
import {DirectivesModule} from "./directives/directives.module.js";

let appModule = angular
    .module('appStudioSearch', [
        , 'ui.router'
        , 'ngAnimate'
        , 'lightning'
        , RoutesModule.name
        , DirectivesModule.name
        , ServicesModule.name
    ])
    .run(['$rootScope', '$window', function ($rootScope, $window) {
        $rootScope.$on('response_response_error', function (response) {
            $rootScope.showErrorModal = true;
        });

        $rootScope.closeErrorModal = function () {
            $rootScope.showErrorModal = false;
        }
    }])
    .controller('searchCtrl', SearchController)
    .controller('loginCtrl', LoginController);

angular.bootstrap(document, ['appStudioSearch']);
